Bug 109068 - to_timestamp not stable if date string shorter than template
Summary: to_timestamp not stable if date string shorter than template
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: postgresql   
(Show other bugs)
Version: 9
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: David Jee
QA Contact: David Lawrence
URL: http://archives.postgresql.org/pgsql-...
Whiteboard:
Keywords: Security
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-11-04 19:48 UTC by David Jee
Modified: 2007-04-18 16:59 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-11-13 08:31:42 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2003:313 normal SHIPPED_LIVE : Updated PostgreSQL packages fix buffer overflow 2003-11-13 05:00:00 UTC

Description David Jee 2003-11-04 19:48:08 UTC
In postgresql versions 7.1.x, 7.2.x and 7.3.x (including 7.3.4), when
the input string to to_timestamp() is shorter than what the format
string expects, it may run off the end of the input string, resulting
in a leak.

Please see the URL link to the postgresql mailing list archives for
more details.


Affects:
7.2 7.3 8.0 9.0

Errata in progress.

Comment 1 Mark J. Cox 2003-11-13 08:31:43 UTC
An errata has been issued which should help the problem described in this bug report. 
This report is therefore being closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, please follow the link below. You may reopen 
this bug report if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2003-313.html



Note You need to log in before you can comment on or make changes to this bug.